Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 4
Number of dependencies (NOD): 112
Number of unique artifacts (NOA): 123
Number of version-conflicting artifacts (NOC): 6
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 91 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

commons-collections:commons-collections

[Error]
3.2
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       \- (commons-collections:commons-collections:jar:3.2:compile - omitted for conflict with 3.2.1)

3.2.1
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity:jar:1.7:compile
       \- commons-collections:commons-collections:jar:3.2.1:compile

commons-digester:commons-digester

[Error]
1.6
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       +- commons-chain:commons-chain:jar:1.1:compile
       |  \- (commons-digester:commons-digester:jar:1.6:compile - omitted for conflict with 1.8)
       \- commons-validator:commons-validator:jar:1.3.1:compile
          \- (commons-digester:commons-digester:jar:1.6:compile - omitted for conflict with 1.8)

1.8
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       +- commons-digester:commons-digester:jar:1.8:compile
       \- org.apache.struts:struts-core:jar:1.3.8:compile
          \- (commons-digester:commons-digester:jar:1.8:compile - omitted for duplicate)

commons-logging:commons-logging

[Error]
1.0.3
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       +- commons-beanutils:commons-beanutils:jar:1.7.0:compile
       |  \- (commons-logging:commons-logging:jar:1.0.3:compile - omitted for conflict with 1.1)
       \- commons-chain:commons-chain:jar:1.1:compile
          \- (commons-logging:commons-logging:jar:1.0.3:compile - omitted for duplicate)

1.0.4
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       +- commons-validator:commons-validator:jar:1.3.1:compile
       |  \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1)
       \- org.apache.struts:struts-core:jar:1.3.8:compile
          \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1)

1.1
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       +- commons-digester:commons-digester:jar:1.8:compile
       |  \- (commons-logging:commons-logging:jar:1.1:compile - omitted for conflict with 1.0.3)
       \- commons-logging:commons-logging:jar:1.1:compile

1.2
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven.doxia:doxia-core:jar:1.9.1:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.8:compile
          \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1)

org.apache.velocity:velocity

[Error]
1.6.2
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity-tools:jar:2.0:compile
       \- (org.apache.velocity:velocity:jar:1.6.2:compile - omitted for conflict with 1.7)

1.7
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.velocity:velocity:jar:1.7:compile

org.codehaus.plexus:plexus-container-default

[Error]
1.0-alpha-9-stable-1
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-settings:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)
       +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)
       +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)
       \- (org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:compile - omitted for conflict with 1.7.1)

1.7.1
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven.doxia:doxia-core:jar:1.9.1:compile
       +- org.apache.maven.doxia:doxia-logging-api:jar:1.9.1:compile
       |  \- (org.codehaus.plexus:plexus-container-default:jar:1.7.1:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-container-default:jar:1.7.1:compile

org.codehaus.plexus:plexus-utils

[Error]
1.4.2
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       \- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
          \- org.apache.maven.wagon:wagon-provider-api:jar:1.0-beta-6:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.4.2:compile - omitted for conflict with 3.0.22)

1.5.15
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven:maven-project:jar:2.2.1:compile
       +- org.apache.maven:maven-settings:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       +- org.apache.maven:maven-profile:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       +- org.apache.maven:maven-model:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       +- org.apache.maven:maven-artifact-manager:jar:2.2.1:compile
       |  +- org.apache.maven:maven-repository-metadata:jar:2.2.1:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       +- org.apache.maven:maven-plugin-registry:jar:2.2.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       +- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)
       \- org.apache.maven:maven-artifact:jar:2.2.1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.15:compile - omitted for conflict with 3.0.22)

3.0.20
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven.doxia:doxia-core:jar:1.9.1:compile
       \- org.codehaus.plexus:plexus-container-default:jar:1.7.1:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.20:compile - omitted for conflict with 3.0.22)

3.0.22
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    \- org.apache.maven.doxia:doxia-decoration-model:jar:1.9.1:compile
       \- org.codehaus.plexus:plexus-utils:jar:3.0.22:compile

3.1.0
  1. io.github.devacfr.maven.skins:reflow-velocity-tools:jar:2.4.0-beta2-SNAPSHOT
    +- org.apache.maven.doxia:doxia-core:jar:1.9.1:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for conflict with 3.0.22)
    \- org.apache.maven.doxia:doxia-module-markdown:jar:1.9.1:test
       +- org.apache.maven.doxia:doxia-module-xhtml:jar:1.9.1:test
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for conflict with 3.0.22)
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for conflict with 3.0.22)